Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Configuration_Import_Export.h File Reference

`#include "ace/Configuration.h"`
`#include "ace/SString.h"`

Include dependency graph for Configuration_Import_Export.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_Config_ImpExp_Base
| Base class for file import/export configuration. More...
class | ACE_Registry_ImpExp
| Configuration object that imports/exports data to a file formatted using the Win32 Registry file export format. This format looks like [Section] "key"="String Data" "key"=dword: numeric data in hexidecimal format "key"=hex: binary data. More...
class | ACE_Ini_ImpExp
| Imports the configuration database from filename as strings. Allows non-typed values. (no #, dword: hex:, etc. prefixes) and skips whitespace (tabs and spaces) as in standard .ini and .conf files. Values (to right of equal sign) can be double quote delimited to embed tabs and spaces in the string. Caller must convert string to type. More...

## Detailed Description

Id
  Configuration_Import_Export.h,v 4.10 2005/10/28 16:14:52 ossama Exp

Author:
  Jerry D. Odenwelder Jr. <jerry.o@mindspring.com> Chris Hafey <chris@stentorsoft.com>

Classes defined in this file provide the ability to import and export ACE Configuration objects to/from disk files. The base class ACE_Config_ImpExp_Base provides the common functionality and the derived classes implement the import/export functionality for the specific format.

Todo:
  -Add locking for thread safety. -Provide ability to read file in one format and write in another. -See todo's in each class